Debian Bug report logs - #174596
Please remove sted2

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Junichi Uekawa <dancer@netfort.gr.jp>

Date: Sun, 29 Dec 2002 04:03:02 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174596; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: submit@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: RFA: sted2 -- a fast, functional MIDI sequencer
Date: Sun, 29 Dec 2002 12:41:49 +0900
Package: wnpp

I don't really use sted2 often now.
Please mail me if you are interested.

I haven't really followed much of MIDI sequencing within Debian recently, 
but sted2 has been the only reasonable MIDI sequencer available within
Debian when it went in... (more than a year ago)

There is a new upstream version to follow, and merge some Debian patches in,
but I am not feeling quite motivated with this package.



$ apt-cache show sted2
Priority: optional
Section: sound
Installed-Size: 780
Maintainer: Junichi Uekawa <dancer@debian.org>
Architecture: i386
Version: 2.07m+20010303-4
Depends: libc6 (>= 2.2.4-4), libncurses5 (>= 5.2.20020112a-1), xlibs (>> 4.1.0)
Suggests: timidity | midiplay
Filename: pool/main/s/sted2/sted2_2.07m+20010303-4_i386.deb
Size: 317514
MD5sum: d8038edc78eca355334d48d8726583be
Description: a fast, functional MIDI sequencer
 STed2 is an open-source MIDI sequencer for Un*x/X platforms.
 Originally written by the late Takayuki "TURBO" Toda for
 SHARP X680x0 personal workstation series, it's now ported to GNU/Linux
 and fully works on ncurses and X!
 .
 The most distinctive feature of STed2 is its inputting method.
 STed2 supports "step" inputting, which enables you to input MIDI data
 incredibly fast. Also supports real-time recording via /dev/midi.


-- 
dancer@debian.org : Junichi Uekawa   http://www.netfort.gr.jp/~dancer
GPG Fingerprint : 17D6 120E 4455 1832 9423  7447 3059 BF92 CD37 56F4



Changed Bug title. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Colin Walters <walters@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 174596-close@bugs.debian.org (full text, mbox):

From: Colin Walters <walters@debian.org>
To: 174596-close@bugs.debian.org
Subject: Bug#174596: fixed in xft2 2.1-7
Date: Fri, 17 Jan 2003 13:18:03 -0500
We believe that the bug you reported is fixed in the latest version of
xft2, which is due to be installed in the Debian FTP archive:

libxft2-dev_2.1-7_powerpc.deb
  to pool/main/x/xft2/libxft2-dev_2.1-7_powerpc.deb
libxft2_2.1-7_powerpc.deb
  to pool/main/x/xft2/libxft2_2.1-7_powerpc.deb
xft2_2.1-7.diff.gz
  to pool/main/x/xft2/xft2_2.1-7.diff.gz
xft2_2.1-7.dsc
  to pool/main/x/xft2/xft2_2.1-7.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 174596@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Walters <walters@debian.org> (supplier of updated xft2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 17 Jan 2003 13:11:34 -0500
Source: xft2
Binary: libxft2 libxft2-dev
Architecture: source powerpc
Version: 2.1-7
Distribution: unstable
Urgency: low
Maintainer: Colin Walters <walters@debian.org>
Changed-By: Colin Walters <walters@debian.org>
Description: 
 libxft2    - advanced font drawing library for X
 libxft2-dev - advanced font drawing library for X (development files)
Closes: 174596
Changes: 
 xft2 (2.1-7) unstable; urgency=low
 .
   * debian/control:
     - Build-Depend on xlibs-dev (>= 4.2.0) (Closes: #174596).
     - [libxft2-dev] Depend on xlibs-dev (>= 4.2.0).
Files: 
 8db9148c39a6d83f1ecd07353f05b2e5 613 devel optional xft2_2.1-7.dsc
 39ea1c6bc664d480c3be3de20ca249e9 10366 devel optional xft2_2.1-7.diff.gz
 defae999078da43c4e30abcfc92fd82d 8294 devel optional libxft2-dev_2.1-7_powerpc.deb
 f3c6cfd153a4fc3eb3752bab9babef46 38802 libs optional libxft2_2.1-7_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+KEfyOIkJWWp2WGURAmepAJ9GPQm7ez9a/frLlGk+T7dM52oVtwCghf67
6O0B+KDBnAJJje0Yu0KTiVM=
=gOI9
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Colin Walters <walters@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174596; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 174596@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: 174596@bugs.debian.org, mlang@debian.org
Subject: sted2 is adopted
Date: Fri, 24 Jan 2003 23:15:09 +0900
I think this package has been adopted by mlang.
This is the bug report marking the package as orphaned.

regards,
	junichi



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174596; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mario Lang <mlang@delysid.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #24 received at 174596@bugs.debian.org (full text, mbox):

From: Mario Lang <mlang@delysid.org>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 174596@bugs.debian.org
Subject: Re: sted2 is adopted
Date: Mon, 27 Jan 2003 15:24:47 +0100
Junichi Uekawa <dancer@netfort.gr.jp> writes:

> I think this package has been adopted by mlang.
> This is the bug report marking the package as orphaned.

I remembered sted2 being a text-mode program.  Therefore
I thought I should preserve it for the blind community.

Unfortunately, I was a bit too fast with announcing my
intentions.  I looked at sted2, and its interface
is text, but the way it is organized is the complete
opposite of blind friendly.  I couldnt manage to do anything
useful with it, so I'm withdrawing my ITA, since I'm very unsure if I can care
for it as much as I'd wish.

So, if anyone wants, this one is still open for adoption...

-- 
CYa,
  Mario | Debian Developer <URL:http://debian.org/>
        | Get my public key via finger mlang@db.debian.org
        | 1024D/7FC1A0854909BCCDBE6C102DDFFC022A6B113E44



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#174596; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #29 received at 174596@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 174596@bugs.debian.org
Subject: Re: sted2 is adopted
Date: Sun, 25 Jan 2004 19:15:57 +0000
* Junichi Uekawa <dancer@netfort.gr.jp> [2003-01-24 23:15]:
> I think this package has been adopted by mlang.
> This is the bug report marking the package as orphaned.

* Mario Lang <mlang@delysid.org> [2003-01-27 15:24]:
> > I think this package has been adopted by mlang.
> > This is the bug report marking the package as orphaned.
> 
> So, if anyone wants, this one is still open for adoption...

Can this be removed or is anyone goin to adopt it?

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#174596; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #34 received at 174596@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, 174596@bugs.debian.org, debian-multimedia@lists.debian.org
Subject: To remove sted2 ? (Re: sted2 is adopted)
Date: Mon, 26 Jan 2004 08:22:58 +0900
> * Junichi Uekawa <dancer@netfort.gr.jp> [2003-01-24 23:15]:
> > I think this package has been adopted by mlang.
> > This is the bug report marking the package as orphaned.
> 
> * Mario Lang <mlang@delysid.org> [2003-01-27 15:24]:
> > > I think this package has been adopted by mlang.
> > > This is the bug report marking the package as orphaned.
> > 
> > So, if anyone wants, this one is still open for adoption...
> 
> Can this be removed or is anyone goin to adopt it?

Considering that it has a codebase without function prototypes, 
and some work is probably required to get it cleaned,
and the original author has long been unavailable,
I consider that this can be removed.

It was one of the most useful tool for MIDI composition,
but there probably are usable alternative now.



regards,
	junichi




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#174596; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #39 received at 174596@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 174596@bugs.debian.org, debian-multimedia@lists.debian.org, control@bugs.debian.org
Subject: Re: To remove sted2 ? (Re: sted2 is adopted)
Date: Sun, 15 Feb 2004 13:50:27 +0000
reassign 174596 ftp.debian.org
retitle 174596 Please remove sted2
thanks

* Junichi Uekawa <dancer@netfort.gr.jp> [2004-01-26 08:22]:
> > Can this be removed or is anyone goin to adopt it?
> 
> Considering that it has a codebase without function prototypes, and
> some work is probably required to get it cleaned, and the original
> author has long been unavailable, I consider that this can be
> removed.
> 
> It was one of the most useful tool for MIDI composition, but there
> probably are usable alternative now.

Nobody from debian-multimedia has responded since your posting ~2
weeks ago, so I assume there is only limited or no interest in this
package.  Let's remove it.


RoQA; orphaned, upstream not available, alternatives available
-- 
Martin Michlmayr
tbm@cyrius.com



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 174596-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 174596-close@bugs.debian.org
Subject: Bug#174596: fixed
Date: Wed, 25 Feb 2004 14:04:24 -0500
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     sted2 | 2.07m+20021104-2 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 174596@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
James Troup (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:32:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.